andybno1

Suspended
Original poster
Nov 6, 2007
3,642
38
Liverpool, UK
it seems today apple have released firmware 1.1.5 today for users on 1.1.4 can simply press update and they will get a message about 1.1.5 and the good news is it's jailbreakable still as per 1.1.4.

iPod1,1_1.1.5_4B1_Restore is the name and you do not see it in itunes you can it here: http://www.felixbruns.de/iPod/firmware/ in the second drop down menu and yes its official and on the apple servers

EDIT: here is direct link off apple servers: http://appldnld.apple.com.edgesuite...20080714.bgy8O/iPod1,1_1.1.5_4B1_Restore.ipsw
 

mrmarky

macrumors member
Jul 11, 2008
92
0
its for ipod touch, I'm on 1.1.4 and it gives me the option to update to 1.1.5

downloading now i'll report back in about 10 minutes with screenshots

Hope it improves it
 

PkennethV

macrumors 6502a
Aug 16, 2006
834
3
Toronto
That weird. Why would Apple do that? It's almost like they're saying "here you go jailbreakers, here's a more stable/improved firmware for you guys who don't wanna pay for your apps".:confused:
 

mrmarky

macrumors member
Jul 11, 2008
92
0
yup lol :D

you gotta love them, everyone elses up with a dodgy 2.0 that crashs' and the jailbreakers end up with a usable product priceless :)
 

Pain

macrumors regular
Jul 11, 2008
126
0
My iPod is on 1.1.4, lemme hook it up and see... I sort of hope this is true!

1.1.5... what does it have? I'll try and tell you once it finishes?

EDIT: Not there. :l
 

ihabime

macrumors 6502
Jan 12, 2005
480
0
That weird. Why would Apple do that? It's almost like they're saying "here you go jailbreakers, here's a more stable/improved firmware for you guys who don't wanna pay for your apps".:confused:

Just like OSX, they continue to do security/stability updates to older OSs, 10.4 is on .11 right now. Plus they may want to update it to work with mobileme email, just basic functionality no push. Changing .mac references to .me, etc.
 

Pain

macrumors regular
Jul 11, 2008
126
0
Apple: As of right now, there is now 1.1.5, 2.0 is the most up-to-date.

:S
 
N

natezire71

Guest
Apple: As of right now, there is now 1.1.5, 2.0 is the most up-to-date.

:S

What? "As of right now, there is NOW 1.1.5, 2.0 is the most up to date."

Typo? Or there is NO update? I can't tell.
 

TimJim

macrumors 6502a
May 15, 2007
886
2
If your an iPod Touch user who doesnt wan't to upgrade to 2.0 (the most recent firmware but doesnt appear when 'Checking for Updates' because you need to pay). 1.1.5 is just an update to 1.1.4.
 

mrmarky

macrumors member
Jul 11, 2008
92
0
No difference in look everything appears the same and just jailbroke it

and its working, anyone else spot anything ?
 

mrmarky

macrumors member
Jul 11, 2008
92
0
121bbqd.jpg
 

andybno1

Suspended
Original poster
Nov 6, 2007
3,642
38
Liverpool, UK
I had a check with someone's ipod and it said 2.0 as latest so I downloaded via that link and now his touch is running 1.1.5 jailbroken and working fine (minus his precious apps lol)
 

andybno1

Suspended
Original poster
Nov 6, 2007
3,642
38
Liverpool, UK
version shouldn't matter same with all itunes and ipod updates just use the already described method.

Open iTunes and hold down Shift + Option and click on 'Update' it will then ask you to provide a file location and click ok

when you follow that itunes will update using the downloaded 1.1.5
 
Register on MacRumors! This sidebar will go away, and you'll see fewer ads.